import type { ZalgoOptions } from './interfaces';
/**
 * Zalgofies any given text
 *
 * @param text Input text to zalgolize
 * @param options Options for the Zalgo
 * @returns The door to hell
 * @example
 * ```ts
 * zalgo('some text') // ==> ŝ̜̩͇̼̥̼́̏͢o͎͊͜ḿ̛̩̳̖͕̞̩̭ͪe͖̺̣̹̺̋̀͛̽͝ ̖͍̭͓̯̠͑͑͢t̼̪̋͌͢eͯ̋͏͖͎͍̩̭̮x̢͚̄̾̀̈ͧ̓ͩ̚t̪ͫ͝
 *```
 */
export declare const zalgo: (text: string, options?: ZalgoOptions) => string;
/**
 * De-zalgolize any text
 * @param purgeable Text to remove zalgo from
 * @returns The door to heaven
 * @example
 * ```ts
 * banish('ŝ̜̩͇̼̥̼́̏͢o͎͊͜ḿ̛̩̳̖͕̞̩̭ͪe͖̺̣̹̺̋̀͛̽͝ ̖͍̭͓̯̠͑͑͢t̼̪̋͌͢eͯ̋͏͖͎͍̩̭̮x̢͚̄̾̀̈ͧ̓ͩ̚t̪ͫ͝') // ==> some text
 * ```
 */
export declare const banish: (purgeable: string) => string;
//# sourceMappingURL=zalgo.d.ts.map